<?xml version="1.0" encoding="euc-kr" ?>

<tle>
	<component-list>
		<!-- component-id 요소의 값으로 'TLEController'는 올수 없다. -->
		
		<!-- DefaultRequestAnalyzer에 대한 설정 -->
		<component>
			<component-class>tle.framework.component.impl.ra.DefaultRequestAnalyzer</component-class>
			<component-id>DefaultRequestAnalyzer</component-id>
			<init-param>
				<param-name>configFile</param-name>
				<param-value>{context.path}\WEB-INF\config\DefaultRequestAnalyzer.properties</param-value>
			</init-param>
		</component>
		
		<!-- DefaultRequestProcessor에 대한 설정 -->
		<component>
			<component-class>tle.framework.component.impl.rp.DefaultRequestProcessor</component-class>
			<component-id>DefaultRequestProcessor</component-id>
			<init-param>
				<param-name>configFile</param-name>
				<param-value>{context.path}\WEB-INF\config\DefaultRequestProcessor.xml</param-value>
			</init-param>
		</component>

		<!-- DefaultAAManager에 대한 설정 -->
		<component>
			<component-class>tle.framework.component.impl.aamanager.DefaultAAManager</component-class>
			<component-id>DefaultAAManager</component-id>
			<init-param>
				<param-name>RoleManager</param-name>
				<param-value>tle.framework.component.impl.aamanager.role.RoleManagerImpl</param-value>
			</init-param>
			<init-param>
				<param-name>RoleManagerImpl.configFile</param-name>
				<param-value>{context.path}\WEB-INF\config\Role.xml</param-value>
			</init-param>
			<init-param>
				<param-name>ServiceManager</param-name>
				<param-value>tle.framework.component.impl.aamanager.service.ServiceManagerImpl</param-value>
			</init-param>
			<init-param>
				<param-name>ServiceManagerImpl.configFile</param-name>
				<param-value>{context.path}\WEB-INF\config\Service.xml</param-value>
			</init-param>
			<init-param>
				<param-name>SessionManager</param-name>
				<param-value>tle.framework.component.impl.aamanager.session.SessionManagerImpl</param-value>
			</init-param>
			<init-param>
				<param-name>SessionManagerImpl.sessionAttributeName</param-name>
				<param-value>userImpl</param-value>
			</init-param>
			<init-param>
				<param-name>UserManager</param-name>
				<param-value>test.tle.aamanager.UserManagerImpl</param-value>
			</init-param>
			<init-param>
				<param-name>Authenticator</param-name>
				<param-value>test.tle.aamanager.AuthenticatorImpl</param-value>
			</init-param>
		</component>
		
		<!-- DefaultUICreator에 대한 설정 -->
		<component>
			<component-class>tle.framework.component.impl.uicreator.DefaultUICreator</component-class>
			<component-id>DefaultUICreator</component-id>
			<init-param>
				<param-name>configFile</param-name>
				<param-value>{context.path}\WEB-INF\config\DefaultUICreator.xml</param-value>
			</init-param>
		</component>
	</component-list>
	
	<framework>
		<core-component>
			<request-analyzer-id>DefaultRequestAnalyzer</request-analyzer-id>
			<request-processor-id>DefaultRequestProcessor</request-processor-id>
			<ui-creator-id>DefaultUICreator</ui-creator-id>
			<aa-manager-id>DefaultAAManager</aa-manager-id>
		</core-component>
	</framework>
	
</tle>